Data Structures | Enumerations

# ground_vehicle.hpp File Reference

Base class and functions for all vehicles that move through ground. More...

`#include "vehicle_base.h"`
`#include "vehicle_gui.h"`
`#include "landscape.h"`
`#include "window_func.h"`
`#include "widgets/vehicle_widget.h"`

Go to the source code of this file.

## Data Structures
struct | GroundVehicleCache
| Cached, frequently calculated values. More...
struct | GroundVehicle< T, Type >
| Base class for all vehicles that move through ground. More...
## Enumerations
enum | AccelStatus { AS_ACCEL, AS_BRAKE }
| What is the status of our acceleration? More...
enum | GroundVehicleFlags { GVF_GOINGUP_BIT = 0, GVF_GOINGDOWN_BIT = 1, GVF_SUPPRESS_IMPLICIT_ORDERS = 2 }
| Ground vehicle flags. More...

## Detailed Description

Base class and functions for all vehicles that move through ground.

Definition in file ground_vehicle.hpp.

## Enumeration Type Documentation

enum AccelStatus

What is the status of our acceleration?

Enumerator:

  AS_ACCEL | We want to go faster, if possible of course.
  AS_BRAKE | We want to stop.

Definition at line 22 of file ground_vehicle.hpp.

enum GroundVehicleFlags

Ground vehicle flags.

Enumerator:

  GVF_GOINGUP_BIT | Vehicle is currently going uphill. (Cached track information for acceleration).
  GVF_GOINGDOWN_BIT | Vehicle is currently going downhill. (Cached track information for acceleration).
  GVF_SUPPRESS_IMPLICIT_ORDERS | Disable insertion and removal of automatic orders until the vehicle completes the real order.

Definition at line 53 of file ground_vehicle.hpp.